Como deletar pacote e suas configurações?



  • Hoje fui acessar meu pfsense e verifiquei que os pacotes que havia instalado, estava sem numero de versão e escrito em vermelho.

    Quando tento desinstalar aparece a mensagem abaixo:

    ERROR: Package pfSense-pkg-Lightsquid is not installed
    Failed

    Se tento reinstalar apara essa mensagem:

    Installing pfSense-pkg-squidGuard…
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.
    pkg: sqlite error while executing iterator in file pkgdb_iterator.c:1035: database disk image is malformed
    Checking integrity... done (0 conflicting)
    The most recent version of packages are already installed

    Cleaning up cache... done.
    Success

    Como resolver?



  • uma maneira não recomendável de apagar um pacote na força bruta é editar o config.xml do pfsense e apagar as tags que contem as informações do pacote escolhido. Mas caso você faça isso errado poderá dar um crash no seu sistema.


Log in to reply